Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1462218 - rpc.nfsd do not understand key -u
Summary: rpc.nfsd do not understand key -u
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1451568 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-16 12:37 UTC by nkigor
Modified: 2017-06-29 19:39 UTC (History)
7 users (show)

Fixed In Version: nfs-utils-2.1.1-5.rc4.fc26 nfs-utils-2.1.1-5.rc4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-25 16:20:32 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description nkigor 2017-06-16 12:37:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1./usr/sbin/rpc.nfsd -u
2.
3.

Actual results:
/usr/sbin/rpc.nfsd: invalid option -- 'u'
Invalid argument: '?'
Usage:
rpc.nfsd [-d|--debug] [-H hostname] [-p|-P|--port port]
   [-N|--no-nfs-version version] [-V|--nfs-version version]
   [-s|--syslog] [-t|--tcp] [-T|--no-tcp] [-u|--udp] [-U|--no-udp]
   [-r|--rdma=] [-G|--grace-time secs] [-L|--leasetime secs] nrservs


Expected results:
OK

Additional info:

Comment 1 Steve Dickson 2017-06-22 16:06:07 UTC
*** Bug 1451568 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2017-06-22 17:00:26 UTC
nfs-utils-2.1.1-5.rc4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d52b9cd07f

Comment 3 Fedora Update System 2017-06-22 17:00:41 UTC
nfs-utils-2.1.1-5.rc4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ab3e72bd6

Comment 4 Fedora Update System 2017-06-23 22:22:37 UTC
nfs-utils-2.1.1-5.rc4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ab3e72bd6

Comment 5 Fedora Update System 2017-06-24 01:22:25 UTC
nfs-utils-2.1.1-5.rc4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d52b9cd07f

Comment 6 Fedora Update System 2017-06-25 16:20:32 UTC
nfs-utils-2.1.1-5.rc4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-06-28 20:52:10 UTC
nfs-utils-2.1.1-5.rc4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 RobbieTheK 2017-06-29 15:38:07 UTC
NFS hung on installation/restart, had to force a hard reboot. Perhaps reopen this bug?

Jun 29 02:23:27 dsm rpc.idmapd: rpc.idmapd: conf_reinit: open ("(null)", O_RDONLY) failed
Jun 29 02:23:27 dsm rpc.idmapd: rpc.idmapd: conf_reinit: open ("(null)", O_RDONLY) failed
Jun 29 02:23:27 dsm kernel: nfsd: last server has exited, flushing export cache

Jun 29 02:23:27 dsm systemd: Starting NFS server and services...
Jun 29 02:23:27 dsm kernel: divide error: 0000 [#1] SMP
Jun 29 02:23:27 dsm kernel: Modules linked in: fuse arc4 md4 nls_utf8 cifs ccm rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache cfg80211 rfkill nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_multiport ipt_MASQUERADE nf_nat_masquerade_ipv4 ip6t_REJECT nf_reject_ipv6 nf_con
ntrack_ipv6 iptable_nat nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 xt_conntrack nf_nat nf_conntrack libcrc32c ip6table_filter ip6_tables iptable_mangle joydev coretemp kvm iTCO_wdt gpio_ich iTCO_vendor_support irqbypass ses ipmi_ssif enclosure dcdbas 
scsi_transport_sas i5000_edac ipmi_si edac_core lpc_ich ipmi_devintf i5k_amb ipmi_msghandler shpchp tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc uas usb_storage amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm drm ata_gene
ric pata_acpi serio_raw
Jun 29 02:23:27 dsm kernel: megaraid_sas bnx2
Jun 29 02:23:27 dsm kernel: CPU: 4 PID: 7781 Comm: rpc.nfsd Not tainted 4.11.5-200.fc25.x86_64 #1
Jun 29 02:23:27 dsm kernel: Hardware name: Dell Inc. PowerEdge 1950/0TT740, BIOS 2.2.6 02/05/2008
Jun 29 02:23:27 dsm kernel: task: ffff9290e5034880 task.stack: ffffa770ce0c4000
Jun 29 02:23:27 dsm kernel: RIP: 0010:svc_pool_for_cpu+0x2b/0x80 [sunrpc]
Jun 29 02:23:27 dsm kernel: RSP: 0018:ffffa770ce0c7c18 EFLAGS: 00010246
Jun 29 02:23:27 dsm kernel: RAX: 0000000000000000 RBX: ffff9290286a6000 RCX: 0000000000000002
Jun 29 02:23:27 dsm kernel: RDX: 0000000000000000 RSI: 0000000000000004 RDI: ffff928ec3d45500
Jun 29 02:23:27 dsm kernel: RBP: ffffa770ce0c7c18 R08: ffff928ec3d45528 R09: 0000000000018783
Jun 29 02:23:27 dsm kernel: R10: ffffffffc06fb100 R11: 0000000000000000 R12: ffff9290286a6010
Jun 29 02:23:27 dsm kernel: R13: ffff9290286a6018 R14: ffff928ec3d45528 R15: ffff928ec3d45500
Jun 29 02:23:27 dsm kernel: FS:  00007f0f69cacc40(0000) GS:ffff9290efd00000(0000) knlGS:0000000000000000
Jun 29 02:23:27 dsm kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 29 02:23:27 dsm kernel: CR2: 00007ffede0fe0a8 CR3: 00000001fb7c4000 CR4: 00000000000006e0
Jun 29 02:23:27 dsm kernel: Call Trace:
Jun 29 02:23:27 dsm kernel: svc_xprt_do_enqueue+0xef/0x260 [sunrpc]
Jun 29 02:23:27 dsm kernel: svc_xprt_received+0x47/0x90 [sunrpc]
Jun 29 02:23:27 dsm kernel: svc_add_new_perm_xprt+0x76/0x90 [sunrpc]
Jun 29 02:23:27 dsm kernel: svc_addsock+0x14b/0x200 [sunrpc]
Jun 29 02:23:27 dsm kernel: ? recalc_sigpending+0x1b/0x50
Jun 29 02:23:27 dsm kernel: ? __getnstimeofday64+0x41/0xd0
Jun 29 02:23:27 dsm kernel: ? do_gettimeofday+0x29/0x90
Jun 29 02:23:27 dsm kernel: write_ports+0x255/0x2c0 [nfsd]
Jun 29 02:23:27 dsm kernel: ? _copy_from_user+0x4e/0x80
Jun 29 02:23:27 dsm kernel: ? write_recoverydir+0x100/0x100 [nfsd]
Jun 29 02:23:27 dsm kernel: nfsctl_transaction_write+0x48/0x80 [nfsd]
Jun 29 02:23:27 dsm kernel: __vfs_write+0x37/0x160
Jun 29 02:23:27 dsm kernel: ? __inet_hash+0xd2/0x260
Jun 29 02:23:27 dsm kernel: vfs_write+0xb5/0x1a0
Jun 29 02:23:27 dsm kernel: SyS_write+0x55/0xc0
Jun 29 02:23:27 dsm kernel: entry_SYSCALL_64_fastpath+0x1a/0xa9
Jun 29 02:23:27 dsm kernel: RIP: 0033:0x7f0f695c8ae0
Jun 29 02:23:27 dsm kernel: RSP: 002b:00007ffede056ba8 EFLAGS: 00000246 ORIG_RAX: 0000000000000001
Jun 29 02:23:27 dsm kernel: RAX: ffffffffffffffda RBX: 0000000000000002 RCX: 00007f0f695c8ae0
Jun 29 02:23:27 dsm kernel: RDX: 0000000000000002 RSI: 00005637ab1dd600 RDI: 0000000000000003
Jun 29 02:23:27 dsm kernel: RBP: 00007ffede056ba0 R08: 0000000000000001 R09: 0000000000000002
Jun 29 02:23:27 dsm kernel: R10: 0000000000000064 R11: 0000000000000246 R12: 0000000000000004
Jun 29 02:23:27 dsm kernel: R13: 00005637abfa37a0 R14: 00005637abfa3720 R15: 00007ffede056658
Jun 29 02:23:27 dsm kernel: Code: 66 66 66 66 90 48 8b 87 98 00 00 00 55 48 89 e5 48 83 78 08 00 74 10 8b 05 97 51 02 00 83 f8 01 74 40 83 f8 02 74 19 31 c0 31 d2 <f7> b7 88 00 00 00 5d 89 d0 48 c1 e0 07 48 03 87 90 00 00 00 c3 
Jun 29 02:23:27 dsm kernel: RIP: svc_pool_for_cpu+0x2b/0x80 [sunrpc] RSP: ffffa770ce0c7c18
Jun 29 02:23:27 dsm kernel: ---[ end trace 7a2bfc4aacf7a21e ]---

Comment 9 Steve Dickson 2017-06-29 19:39:14 UTC
(In reply to RobbieTheK from comment #8)
> NFS hung on installation/restart, had to force a hard reboot. Perhaps reopen
> this bug?
> 
hmm... This bug was a fix to rpc.nfsd command line... so no I don't
think reopening this bug is the right thing to do.


Note You need to log in before you can comment on or make changes to this bug.